Skip to content
Snippets Groups Projects
Commit 1ce11257 authored by Christian Engwer's avatar Christian Engwer
Browse files

an error during merge brought back some bashisms

[[Imported from SVN: r5204]]
parent 8ef3de05
No related merge requests found
......@@ -55,7 +55,7 @@ canonicalname(){
canonicalpath(){
if test $# -ne 1; then
echo Usage: canonicalpath path > /dev/stderr
echo Usage: canonicalpath path >&2
return 1
fi
dirname $(canonicalname "$1")
......@@ -262,8 +262,8 @@ run_default_autogen () {
done
if test -f autogen.sh; then
eval echo "WARNING: \$NAME_$module contains obsolete autogen.sh," \
> /dev/stderr
echo " dune-autogen is used instead." > /dev/stderr
>&2
echo " dune-autogen is used instead." >&2
fi
# eval ./autogen.sh "$M4_PATH" "$PARAMS" || exit 1
eval "$COMMAND_DIR/dune-autogen" "$MODULE_PATHS" "$PARAMS" || exit 1
......@@ -298,8 +298,8 @@ run_default_configure () {
eval ./configure "$PARAMS" || exit 1
else
if test -f configure.in || test -f configure.ac; then
echo "ERROR: configure.[in|ac] found, but configure missing" > /dev/stderr
echo "did you forget to run autoconf?" > /dev/stderr
echo "ERROR: configure.[in|ac] found, but configure missing" >&2
echo "did you forget to run autoconf?" >&2
exit 1
fi
fi
......@@ -333,7 +333,7 @@ run_default_svn () {
###
onfailure() {
echo "Execution of $(basename $0) terminated due to errors!" > /dev/stderr
echo "Execution of $(basename $0) terminated due to errors!" >&2
exit 1
}
......@@ -368,7 +368,7 @@ usage () {
printf " \`export'\trun eval \`dunecontrol export\` to save the list of\n"
printf " \t\tdune.module files to the DUNE_CONTROL_PATH variable\n"
echo
) > /dev/stderr
) >&2
}
# create the module list
......@@ -431,15 +431,15 @@ while test $# -gt 0; do
--opts=*)
if test "x$arg" = "x"; then
usage
echo "ERROR: Parameter for --opts is missing" > /dev/stderr
echo > /dev/stderr
echo "ERROR: Parameter for --opts is missing" >&2
echo >&2
exit 1;
fi
DUNE_OPTS_FILE=$(canonicalpath $arg)/$(basename $arg)
if ! test -r "$DUNE_OPTS_FILE"; then
usage
echo "ERROR: could not read opts file \"$DUNE_OPTS_FILE\"" > /dev/stderr
echo > /dev/stderr
echo "ERROR: could not read opts file \"$DUNE_OPTS_FILE\"" >&2
echo >&2
exit 1;
fi
;;
......@@ -450,7 +450,7 @@ while test $# -gt 0; do
export ${COMMAND}_FLAGS="$arg"
else
usage
echo "ERROR: unknown option \"$option\"" > /dev/stderr
echo "ERROR: unknown option \"$option\"" >&2
exit 1
fi
;;
......@@ -465,8 +465,8 @@ while test $# -gt 0; do
--module=*)
if test "x$arg" = "x"; then
usage
echo "ERROR: Parameter for --module is missing" > /dev/stderr
echo > /dev/stderr
echo "ERROR: Parameter for --module is missing" >&2
echo >&2
exit 1;
fi
for a in `echo $arg | tr ',' ' '`; do
......@@ -478,8 +478,8 @@ while test $# -gt 0; do
--only=*)
if test "x$arg" = "x"; then
usage
echo "ERROR: Parameter for --only is missing" > /dev/stderr
echo > /dev/stderr
echo "ERROR: Parameter for --only is missing" >&2
echo >&2
exit 1;
fi
for a in `echo $arg | tr ',' ' '`; do
......@@ -506,8 +506,8 @@ while test $# -gt 0; do
--debug) true ;;
--*)
usage
echo "ERROR: Unknown option \`$option'" > /dev/stderr
echo > /dev/stderr
echo "ERROR: Unknown option \`$option'" >&2
echo >&2
exit 1
;;
*)
......@@ -535,7 +535,7 @@ case "$command" in
print)
create_module_list
eval "print_module_list ' ' $MODULES"
echo > /dev/stderr
echo >&2
;;
export)
create_module_list
......@@ -644,7 +644,7 @@ EOF
echo "--- done ---"
else
usage
echo "ERROR: unknown command \"$command\"" > /dev/stderr
echo "ERROR: unknown command \"$command\"" >&2
exit 1
fi
;;
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Please register or to comment